# GCC_ConferenceAddRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceAddRequest:

List of all members.

## Public Types

enum | OptionalFields { e_addingMCU, e_userData }

## Public Member Functions

| GCC_ConferenceAddRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_NetworkAddress | m_networkAddress
GCC_UserID | m_requestingNode
PASN_Integer | m_tag
GCC_UserID | m_addingMCU
GCC_UserData | m_userData

## Member Enumeration Documentation

enum GCC_ConferenceAddRequest::OptionalFields

Enumerator:

  e_addingMCU |
  e_userData |

## Constructor & Destructor Documentation

GCC_ConferenceAddRequest::GCC_ConferenceAddRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceAddRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceAddRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceAddRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceAddRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceAddRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceAddRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_NetworkAddress GCC_ConferenceAddRequest::m_networkAddress

GCC_UserID GCC_ConferenceAddRequest::m_requestingNode

PASN_Integer GCC_ConferenceAddRequest::m_tag

GCC_UserID GCC_ConferenceAddRequest::m_addingMCU

GCC_UserData GCC_ConferenceAddRequest::m_userData

The documentation for this class was generated from the following file:

- gcc.h